function enemyLoad()
	characterImg = love.graphics.newImage('character.png')
	bossImg = love.graphics.newImage('boss.png')
	bombImg = love.graphics.newImage('bomb.png')
	enemies = {}
	enemySpawn = 1
	enemyCount = 0
	canSpawn = 1
	timer = 50
	enemySpeed = 88
	maxE = 6
	timeB = 10
	bombs = {}
	bombSpeed = 400
	bn = math.pi/2
	bs = -math.pi/2
	be = 0
	bw = math.pi
	bne = math.pi/4
	bse = 7*math.pi/4
	bnw = 3*math.pi/4
	bsw = 5*math.pi/4
	bossLife = 1000
end

function enemySpawning(dt)
	if enemySpawn > 0 then
			enemySpawn = enemySpawn - 100 * dt
	elseif enemySpawn < 0 and enemyCount < maxE and canSpawn == 1 then
		r1 = love.math.random(map.x, map.x + map.w)
		r2 = love.math.random(map.y, map.y + map.h)
		enemyCount = enemyCount + 1
		newEnemy = {x = r1, y = r2, img = characterImg, w = characterImg:getWidth(), h = characterImg:getHeight()}
		table.insert(enemies, newEnemy)
		enemySpawn = 1
	end
	if enemyCount == maxE then
		canSpawn = 0
	elseif enemyKilled == maxE then
		canSpawn = 1
		wave = wave + 1
		enemyKilled = 0
		potExist = false
		if maxE <= 20 then
			maxE = maxE + 1
		end
	end
end

function enemyAttack()
	if timer > 0 then
		timer = timer - 1
	end
	if timer < 10 then
		for i, enemy in ipairs(enemies) do
			if player.x+(player.w) >= enemy.x-10 and player.x <= enemy.x+enemy.w+10 and player.y+(player.h) >= enemy.y-10 and player.y <= enemy.y+enemy.h+10 then
				if wave < 8 then
					player.hp = player.hp - ( wave * 0.5)
				else
					player.hp = player.hp - (8*0.5)
				end
			end
			timer = 35
		end
	end
end

function enemyAI(dt)
	for i, enemy in ipairs(enemies) do
		eR = math.atan2( ((player.y)-enemy.y),enemy.x-((player.x)))
		ex = enemySpeed * dt * math.cos(eR)
		ey = enemySpeed * dt * math.sin(eR)
		enemy.x = enemy.x - ex
		enemy.y = enemy.y + ey
	end
end

function enemyDraw()
	if side == "a" then
		love.graphics.setColor(255,0,0)
	else
		love.graphics.setColor(0,0,255)
	end
	for i, enemy in ipairs(enemies) do
		love.graphics.draw(enemy.img, enemy.x, enemy.y)
	end
	love.graphics.setColor(255,255,255)
end

function bossSpawn(dt)
	timeB = timeB - 1
	if timeB <= 0 then
		newBombn = {x = map.x+map.w/2, y = map.y+map.h/2, targetX = 0, targetY = 0, img = bombImg, life = 100, r = bn}
		newBombs = {x = map.x+map.w/2, y = map.y+map.h/2, targetX = 0, targetY = love.graphics.getHeight(), img = bombImg, life = 100, r = bs}
		newBombe = {x = map.x+map.w/2, y = map.y+map.h/2, targetX = love.graphics.getWidth(), targetY = 0, img = bombImg, life = 100, r = be}
		newBombw = {x = map.x+map.w/2, y = map.y+map.h/2, targetX = 0, targetY = 0, img = bombImg, life = 100, r = bw}

		newBombne = {x = map.x+map.w/2, y = map.y+map.h/2, targetX = mx, targetY = my, img = bombImg, life = 100, r = bne}
		newBombse = {x = map.x+map.w/2, y = map.y+map.h/2, targetX = mx, targetY = my, img = bombImg, life = 100, r = bse}
		newBombnw = {x = map.x+map.w/2, y = map.y+map.h/2, targetX = mx, targetY = my, img = bombImg, life = 100, r = bnw}
		newBombsw = {x = map.x+map.w/2, y = map.y+map.h/2, targetX = mx, targetY = my, img = bombImg, life = 100, r = bsw}
		table.insert(bombs, newBombn)
		table.insert(bombs, newBombs)
		table.insert(bombs, newBombe)
		table.insert(bombs, newBombw)
		table.insert(bombs, newBombne)
		table.insert(bombs, newBombse)
		table.insert(bombs, newBombnw)
		table.insert(bombs, newBombsw)
		timeB = 95
		bn = bn + 1
		bs = bs + 1
		be = be + 1
		bw = bw + 1
		bne = bne + 1
		bse = bse + 1
		bnw = bnw + 1
		bsw = bsw + 1
	end
end

function bossWeapMove(dt)
	for i, bomb in ipairs(bombs) do
		ax = bombSpeed * dt * math.cos(bomb.r)
		ay = bombSpeed * dt * math.sin(bomb.r)
		bomb.x = bomb.x + ax
		bomb.y = bomb.y - ay
		bomb.life = bomb.life - 1
		if bomb.life < 0 then
			table.remove(bombs,i)
		end
		if hit(player.x, player.y, 32, 32,  bomb.x, bomb.y, 10, 10) then
			player.hp = player.hp - 25
			table.remove(bombs,i)
		end
	end
	if bossLife <= 0 then
		wave = wave + 1
		bossLife = 0
	end
end

function bossDraw()
	if side == "a" then
		love.graphics.setColor(255,0,0)
	else
		love.graphics.setColor(0,0,255)
	end
	love.graphics.draw(bossImg, map.x+map.w/2,map.y+map.h/2,0,1,1,bossImg:getWidth()/2,bossImg:getHeight()/2)
	love.graphics.setColor(255,255,255)
	for i, bomb in ipairs(bombs) do
		love.graphics.draw(bomb.img, bomb.x,bomb.y)
		love.graphics.print(bomb.x, 400,10)
	end
end