require('player')
require('enemies')
require('splash')

function love.load()
	screen = {w = love.graphics.getWidth(), h = love.graphics.getHeight()}
	mapImg = love.graphics.newImage('map.jpg')
	map = {x = 100, y = 100, img = mapImg, w = mapImg:getWidth(), h = mapImg:getHeight()}
	wave = 1
	game = -1
	fontTitle = love.graphics.setNewFont(50)
	fontNorm = love.graphics.setNewFont(11)
	bg = love.graphics.newImage("bg.jpg")
	mainMusic = love.audio.newSource("normalMusic.ogg", "stream")
	bossMusic = love.audio.newSource("bossMusci.wav", "stream")
	love.audio.setVolume(0.5)
	enemyLoad()
	playerLoad()
	splashLoad()
	pots = {}
	potExist = false
	debug = false
end

function love.update(dt)
	if game == 1 then

		if wave%10 == 5 and potExist == false then
			num1 = love.math.random(map.x, map.x+map.w)
			num2 = love.math.random(map.x, map.x+map.w)
			newPot = {x = num1, y = num2}
			table.insert(pots, newPot)
			potExist = true
		end

		for i, pot in ipairs(pots) do
			if col(player.x,player.y,player.w,player.h, pot.x,pot.y,10,10) then
				table.remove(pots, i)
				player.hp = player.hp + 10
			end
		end

		if wave%10 ~= 0 then
			love.audio.stop(bossMusic)
			love.audio.play(mainMusic)
			enemySpawning(dt)
		else
			bossSpawn(dt)
			bossWeapMove(dt)
			love.audio.play(bossMusic)
			love.audio.stop(mainMusic)
		end
		

		playerControl(dt)
		stopPlayerWalkingOffEdge(dt)
		enemyAI(dt)
		enemyAttack(dt)
		arrowMove(dt)
		killArrow(dt)
		attack()
		HP = "HP: " .. player.hp
	elseif game == -1 then
		doSplash(dt)
	end
end

function col(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end

function love.mousepressed(x,y,button)
	if game == 0 then
		if col(0,100,love.graphics.getWidth()/2,1000, x,y,1,1) then
			game = 1
			side = "s"
		elseif col(love.graphics.getWidth()/2,100,love.graphics.getWidth()/2,1000, x,y,1,1) then
			game = 1
			side = "a"
		end
	end
end

function love.draw()
	love.graphics.setFont(fontNorm)
	if game == 1 then
		love.graphics.draw(bg, 0,0)
		love.graphics.draw(map.img, map.x, map.y)
		love.graphics.setColor(5, 5, 5)
		love.graphics.setLineWidth(5)
		love.graphics.rectangle("line", map.x, map.y, map.w, map.h)
		love.graphics.setColor(255, 255, 255)
		if wave%10 ~= 0 then
			enemyDraw()
		else
			bossDraw()
		end
		playerDraw()
		
		for i, pot in ipairs(pots) do
			love.graphics.setColor(0, 255, 255)
			love.graphics.rectangle("fill", pot.x, pot.y, 10, 10)
			love.graphics.setColor(255,255,255)
		end

		love.graphics.print(canSprint, 0, 100)
		if player.hp <= 0 then
			game = 3
		end
		love.graphics.setColor(0, 0, 0)
		love.graphics.rectangle("fill", 0,0, love.graphics.getWidth(), 100)
		love.graphics.setColor(4,4,4)
		love.graphics.rectangle("fill", 10,10, 100, 10)--playerhp
		if wave%10 == 0 then
			love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-250 ,40, 500, 20)--bosshp
		end
		love.graphics.print(HP, 20, 20)
		love.graphics.print("Wave: " .. wave, 150, 10)
		love.graphics.print("Enemies Remaining: " .. enemyCount, 150, 20)
		love.graphics.setColor(100,0,0)
		love.graphics.rectangle("fill", 10,10, player.hp, 10)
		if wave%10 == 0 then
			love.graphics.rectangle("fill", (love.graphics.getWidth()/2)-250, 40, bossLife/2, 20)
		end




	elseif game == 0 then
		love.graphics.setColor(255, 255, 255)
		love.graphics.rectangle("fill", 0, 0, love.graphics.getWidth(), love.graphics.getHeight())
		love.graphics.setColor(0, 0, 0)
		love.graphics.setFont(fontTitle)
		love.graphics.print("Who will you fight with today?", (love.graphics.getWidth()/2)-(fontTitle:getWidth("Who will you fight with today?")/2), 20)
		love.graphics.setColor(160, 0, 0)
		love.graphics.rectangle("fill", 0, 100, love.graphics.getWidth()/2, love.graphics.getHeight())
		love.graphics.setColor(0, 0, 160)
		love.graphics.rectangle("fill", love.graphics.getWidth()/2, 100, love.graphics.getWidth()/2, love.graphics.getHeight())
		love.graphics.setColor(0, 0, 0)
		love.graphics.print("Sparta!", (love.graphics.getWidth()/4)-(fontTitle:getWidth("Sparta!")/2), 250)
		love.graphics.print("Athens!", (3*love.graphics.getWidth()/4)-(fontTitle:getWidth("Athens!")/2), 250)
	elseif game == 3 then
			love.graphics.setColor(255, 0, 0)
			love.graphics.rectangle("fill", 0, 0, love.graphics.getWidth(), love.graphics.getHeight())
			love.graphics.setColor(0, 0, 255)
			love.graphics.print("YOU LOST, GOODBYE" .. "\n" .. "You survived" .. wave .. "waves!", 10, 10)
	end
	drawSplash()
	love.graphics.setColor(255, 255, 255)
end