function playerLoad()
	characterImg = love.graphics.newImage('character.png')
	pSpeed = 100
	player = {x = 500, y = 200, speed = pSpeed , img = characterImg, w = characterImg:getWidth(), h = characterImg:getHeight(), sx = 1, sy = 1, hp = 100}
	canSprintMax = 50
	canSprint = canSprintMax
	sword = {x =  player.x+player.w, y = player.y+player.h}
	enemyKilled = 0
	playerR = 0
	arrows = {}
	arrowImg = love.graphics.newImage('arrow.png')
	arrowSpeed = 400
	canShoot = 0.5
end

function playerControl(dt)
	if love.keyboard.isDown('w') or love.keyboard.isDown('up') then
		player.y = player.y - 1 * player.speed * dt
	end
	if love.keyboard.isDown('a') or love.keyboard.isDown('left') then
		player.x = player.x - 1 * player.speed * dt
	end
	if love.keyboard.isDown('s') or love.keyboard.isDown('down') then
		player.y = player.y + 1 * player.speed * dt
	end
	if love.keyboard.isDown('d') or love.keyboard.isDown('right') then
		player.x = player.x + 1 * player.speed * dt
	end
	if love.keyboard.isDown('lshift') then
		if canSprint > 0 then
			canSprint = canSprint - 1
		end
		if canSprint > 0 then
			player.speed = pSpeed * 1.75
		else
			player.speed = pSpeed
		end
	else
		player.speed = pSpeed
		if canSprint < canSprintMax then
			canSprint = canSprint + 0.5
		end
	end

	if player.hp > 100 then
		player.hp = 100
	end

	playerR = math.atan2( ((player.y)-love.mouse.getY()),love.mouse.getX()-((player.x)))

	if player.x <= map.x then
		player.x = map.x
	elseif player.x + player.w >= map.x + map.w then
		player.x = map.x + map.w - player.w
	elseif player.y <= map.y then
		player.y = map.y
	elseif player.y + player.h >= map.y + map.h then
		player.y = map.y + map.h - player.h
	end
	if canShoot > -0.1 then
		canShoot = canShoot - 1 * dt
	end
end

function attack()
	if love.mouse.isDown('1') and canShoot <= 0 then
		mx = love.mouse.getX()
		my = love.mouse.getY()
		newArrow = {x = player.x, y = player.y, targetX = mx, targetY = my, img = arrowImg, life = 100, r = playerR}
		table.insert(arrows, newArrow)
		canShoot = 0.5
	end
end

function hit(x1,y1,w1,h1, x2,y2,w2,h2)
  return x1 < x2+w2 and
         x2 < x1+w1 and
         y1 < y2+h2 and
         y2 < y1+h1
end

function arrowMove(dt)
	for i, arrow in ipairs(arrows) do
	--	aR = math.atan2((arrow.y-arrow.targetY),(arrow.targetX-arrow.x))
		ax = arrowSpeed * dt * math.cos(arrow.r)
		ay = arrowSpeed * dt * math.sin(arrow.r)
		arrow.x = arrow.x + ax
		arrow.y = arrow.y - ay
	end
end

function killArrow(dt)
	for i, arrow in ipairs(arrows) do
		arrow.life = arrow.life - 1

		if arrow.life < 0 then
				table.remove(arrows, i)
		end

		for j, enemy in ipairs(enemies) do
			if hit(arrow.x, arrow.y, 10, 10,  enemy.x, enemy.y, enemy.w, enemy.h) then 
				table.remove(arrows, i)
				table.remove(enemies, j)
				enemyKilled = enemyKilled + 1
				enemyCount = enemyCount - 1
			end
		end

		if wave%10 == 0 and hit(arrow.x,arrow.y,10,10,  map.x+map.w/2-(bossImg:getWidth()/2), map.y+map.h/2-(bossImg:getHeight()/2),bossImg:getWidth(),bossImg:getHeight()) then
			table.remove(arrows, i)
			bossLife = bossLife - 11
		end
	end

end

function stopPlayerWalkingOffEdge(dt)
	if player.x < 200 then
		map.x = map.x + 1 * player.speed * dt
		player.x = 200
		--enemy pos
		for i, enemy in ipairs(enemies) do
			enemy.x = enemy.x + 1 * player.speed * dt
		end
		for i, bomb in ipairs(bombs) do
			bomb.x = bomb.x + 1 * player.speed * dt
		end
		for i, pot in ipairs(pots) do
			pot.x = pot.x + 1 * player.speed * dt
		end
	end
	if player.x > screen.w - 200 then
		map.x = map.x - 1 * player.speed * dt
		player.x = screen.w - 200
		for i, enemy in ipairs(enemies) do
			enemy.x = enemy.x - 1 * player.speed * dt
		end
		for i, bomb in ipairs(bombs) do
			bomb.x = bomb.x - 1 * player.speed * dt
		end
		for i, pot in ipairs(pots) do
			pot.x = pot.x - 1 * player.speed * dt
		end
	end
	if player.y < 200 then
		map.y = map.y + 1 * player.speed * dt
		player.y = 200
		--enemy pos
		for i, enemy in ipairs(enemies) do
			enemy.y = enemy.y + 1 * player.speed * dt
		end
		for i, bomb in ipairs(bombs) do
			bomb.y = bomb.y + 1 * player.speed * dt
		end
		for i, pot in ipairs(pots) do
			pot.y = pot.y + 1 * player.speed * dt
		end
	end
	if player.y > screen.h - 200 then
		map.y = map.y - 1 * player.speed * dt
		player.y = screen.h - 200
		for i, enemy in ipairs(enemies) do
			enemy.y = enemy.y - 1 * player.speed * dt
		end
		for i, bomb in ipairs(bombs) do
			bomb.y = bomb.y - 1 * player.speed * dt
		end
		for i, pot in ipairs(pots) do
			pot.y = pot.y - 1 * player.speed * dt
		end
	end
end

function playerDraw()
	if side == "s" then
		love.graphics.setColor(255,0,0)
	else
		love.graphics.setColor(0,0,255)
	end
	if playerR < math.pi/2 and playerR > -math.pi/2 then
		love.graphics.draw(player.img, player.x, player.y, -playerR, player.sx, player.sy,player.w/2,player.h/2)
	else
		love.graphics.draw(player.img, player.x, player.y, -playerR, player.sx, -player.sy,player.w/2,player.h/2)
	end
	love.graphics.setColor(255,255,255)
	for i, arrow in ipairs(arrows) do
		love.graphics.draw(arrow.img, arrow.x, arrow.y)
	end
end